Bug 478771 - Review Request: spring-maps-default - Default maps for Spring
Review Request: spring-maps-default - Default maps for Spring
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 478767
  Show dependency treegraph
 
Reported: 2009-01-04 16:27 EST by Aurelien Bompard
Modified: 2009-03-27 10:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.78.2.1-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atorkhov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2009-01-04 16:27:49 EST
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-maps-default.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-maps-default-0.1-1.fc10.src.rpm
Description: 
This package contains the default maps for Spring: Small Divide, Comet Catcher
Redux, and Sands of War

Please see Spring's main review bug for details : bug 478767.
Comment 1 Alexey Torkhov 2009-03-13 06:51:16 EDT
- URLs in comments are wrong.
- I checked one of the maps and there was no license. Why they are assumed to be GPLv2+?
Comment 2 Aurelien Bompard 2009-03-14 06:12:45 EDT
Thanks for looking at my package.
I've fixed the URLs
I've looked for info on the maps' license, I all I got was this thread:
http://spring.clan-sy.com/phpbb/viewtopic.php?f=13&t=15694&p=296531#p296531
« This is the default position of all unlicensed maps circulating in the community: we assume a distribution permission upon circulation and public upload, but we cannot assume more.
This does mean, barring re-release, that all maps generated to this point default to an unmodifiable state. »
This makes the maps "Redistributable, no modification permitted", as they are quite old, and without specific license.
This should be allowed in Fedora:
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Shareware

New SRPM: http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-maps-default-0.1-3.fc10.src.rpm
Comment 3 Alexey Torkhov 2009-03-14 10:03:53 EDT
(In reply to comment #2)
> I've looked for info on the maps' license, I all I got was this thread:
> http://spring.clan-sy.com/phpbb/viewtopic.php?f=13&t=15694&p=296531#p296531
> « This is the default position of all unlicensed maps circulating in the
> community: we assume a distribution permission upon circulation and public
> upload, but we cannot assume more.
> This does mean, barring re-release, that all maps generated to this point
> default to an unmodifiable state. »
> This makes the maps "Redistributable, no modification permitted", as they are
> quite old, and without specific license.

Explanatory comment should be also added to spec.
Comment 5 Alexey Torkhov 2009-03-15 15:03:38 EDT
Here goes the review:

+ rpmlint output without errors
spring-maps-default.noarch: W: no-documentation
spring-maps-default.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Empty build section could be added.

+ The package named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ Source package does not includes the text of the license(s) in its own file.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source.
+ The package successfully compiles and builds into binary rpms on at least
  one primary architecture.
+ If the package does not successfully compile, build or work on an
  architecture, then those architectures should be listed in the spec in
  ExcludeArch.

Bugs should be filled against all 4 spring packages after their acceptance and
added to FE-ExcludeArch-ppc{,64} tracker:
https://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Build_Failures

+ All build dependencies are listed in BuildRequires.
+ No need to deal with locales.
+ The package does not designed to be relocatable.
+ A package owns all directories that it creates.
+ A package does not list a file more than once in %files listings.
+ Permissions on files are set properly.
+ Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ Package consistently uses macros.
+ Does not have documentation.
+ Package does not own files or directories already owned by other packages.
+ At the beginning of %install, package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in rpm packages are valid UTF-8.


While this package is APPROVED, cvs creation should be delayed until all four
spring packages are accepted.
Comment 6 Ian Weller 2009-03-15 15:09:31 EDT
woo less work for me, thanks Alexey :)
Comment 7 Aurelien Bompard 2009-03-17 17:13:24 EDT
New Package CVS Request
=======================
Package Name: spring-maps-default
Short Description: Default maps for Spring
Owners: abompard
Branches: F-10
InitialCC:
Comment 8 Kevin Fenzi 2009-03-17 23:22:29 EDT
cvs done.
Comment 9 Fedora Update System 2009-03-18 06:37:07 EDT
spring-maps-default-0.1-4.fc10,spring-installer-20090316-3.fc10,springlobby-0.0.1.10429-4.fc10,spring-0.78.2.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-maps-default-0.1-4.fc10,spring-installer-20090316-3.fc10,springlobby-0.0.1.10429-4.fc10,spring-0.78.2.1-8.fc10
Comment 10 Fedora Update System 2009-03-18 15:08:55 EDT
spring-maps-default-0.1-4.fc10, spring-installer-20090316-3.fc10, springlobby-0.0.1.10429-4.fc10, spring-0.78.2.1-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spring-maps-default spring-installer springlobby spring'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2819
Comment 11 Fedora Update System 2009-03-22 08:59:57 EDT
spring-0.78.2.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-0.78.2.1-9.fc10
Comment 12 Fedora Update System 2009-03-22 10:49:03 EDT
spring-0.78.2.1-9.fc10,springlobby-0.0.1.10425-1.fc10,spring-installer-20090316-4.fc10,spring-maps-default-0.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-0.78.2.1-9.fc10,springlobby-0.0.1.10425-1.fc10,spring-installer-20090316-4.fc10,spring-maps-default-0.1-5.fc10
Comment 13 Fedora Update System 2009-03-23 11:55:20 EDT
spring-0.78.2.1-9.fc10, springlobby-0.0.1.10425-1.fc10, spring-installer-20090316-4.fc10, spring-maps-default-0.1-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spring springlobby spring-installer spring-maps-default'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2941
Comment 14 Fedora Update System 2009-03-27 10:54:05 EDT
spring-0.78.2.1-9.fc10, springlobby-0.0.1.10425-1.fc10, spring-installer-20090316-4.fc10, spring-maps-default-0.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.